      external cviken, scale
      parameter (iwhite = -255, igray = -128, iblack = 0, none = -999)
      parameter (iblue = 255, iyellow = (255*256 + 255) * 256)
      parameter (c30=0.866, c20=0.940, c10=0.985, s30=0.5, s10=0.174)
      character mark*2
      dimension f(151,101)
      dimension p(2,12)
c-----( pspaint )-----
      dimension v(151,101)
      dimension g(2,2), h(2,2), xm(9), ym(9), pos(2,4), q(3,2)
      data g  / -110., -110., +110., +110./,  h / 0., 1., 0., 1./,
     *     xm / 0.0, 0.0, 2.5, 0.5, 1.5, 2.5, 0.5, 3.0, 3.0 /,
     *     ym / 0.0, 3.0, 2.0, 1.0, 0.5, 1.0, 2.0, 3.0, 0.0 /,
     *     pos/ 5.,0., 5.,2., 8.,0., 8.,2. /,
     *     q  / 0., 1., 2.,  1., 2., 0. /
      do 111 i=1,151
        x = float(i-76)
        a = float(i-86)
        do 111 j=1,101
          y = float(j-51)
          b = float(j-31)
          r = sqrt(x*x + y*y)
          s = sqrt(a*a + b*b)
          v(i,j) = r*3. - s*2. + 17.
          if(r.gt.50.) v(i,j) = 999.
  111 continue
      call psopn('pspaint.ps', 'a4p')
      call plots(2., 2.)
      call dfcols(0)
      call dframe(0., 12., 15., 10., 151, 101)
      call paintm(v, -80., 120., 999.)
      call newpen(3)
      call wrect(0., 12., 15., 10.)
      call dfpcol(1, 255*256*256)
      call paintr(2., 19., 3., 3.)
      call dframe(10., 0., 5., 10., 2, 2)
      call paintw(g, -100., 100., 999., h)
      call dfpcol(0, 200)
      call paintp(xm, ym, 9, 1)
      call newpen(2)
      call plot(xm(9), ym(9), 3)
      do 9 i=1,9
        call plot(xm(i), ym(i), 2)
    9 continue
      call paintp(pos(1,1), pos(2,1), 4, 2)
      call dftone(0)
      call dframe(0., 5., 8., 4., 3, 2)
      call paintm(q, 0., 2., 99.)
      call dfpcol(1, 255*256+255)
      call paintc(2., 7., 0.7)
      call plote
      call pscls
c      stop
c      end
c-----( ptext )-----
c      parameter (iwhite = -255, igray = -128, iblack = 0, none = -999)
c      parameter (iblue = 255, iyellow = (255*256 + 255) * 256)
      call psopn('ptext.ps', 'A4P')
      call plots(2., 2.)
      call dfpcol(0, 200)
      call paintr(0., 0., 15., 9.)
      call lstyle('HB', 1., 0., iblack, none)
      call ptext('Helvetica-Bold', 14, 1., 7., 0)
      call lstyle('ti', 1., 30., iwhite, iblack)
      call ptext('Times-Italic', 12, 12., 7., 2)
      call pcstr(15., 6., 1., 'Courier', 30., -7)
      call lstyle('Kbi', 1., 0., iyellow, igray)
      call ptext('Testƥ', 10, 6., 4., 1)
      call ptext('Testƥ', 10, 6., 4., 2)
      call lstyle('M', 1., 180., iblue, iwhite)
      call ptext('Testƥ', 10, 6., 2., 0)
      call lstyle('S', 1.5, 0., iblack, iyellow)
      call ptext('W=abc', 5, 9.5, 1., 0)
      call plote
      call pscls
c      stop
c      end
c-----( ptext2 )-----
      call psopn('ptext2.ps', 'A4P')
      call plots(2., 2.)
      do 20 i=32,127,16
        y = 14. - float(i/8)
        do 20 j=0,15
          if ((i+j).eq.32.or.(i+j).eq.127) goto 20
          x = float(j)*0.8
          call lstyle('C', 0.4, 0., 0, none)
          call ptext(char(i+j), 1, x, y+1., 0)
          call lstyle('S', 0.8, 0., 0, none)
          call ptext(char(i+j), 1, x, y, 0)
   20 continue
      call plote
      call pscls
c      stop
c      end
c-----( pmark )-----
c      character mark*2
      call psopn('pmark.ps', 'a4p')
      call plots(2., 2.)
      call dfpcol(1, -200)
      call paintr(0., 0., 15.5, 4.8)
      do 1 i=0,9
        x = float(i)*1.5 + 1.
        write(mark,'(i2)') i
        call pcstr(x-0.5, 4.2, 0.3, mark, 0., 2)
        call pmark(i, x, 3.4, 1., 0.1, -255)
        call pmark(i, x, 2.1, 1., 0.03,   0)
        call pmark(i, x, 0.8, 1., 0. , -128)
    1 continue
      call plote
      call pscls
c      stop
c      end
c-----( cont )-----
c      dimension f(151,101)
      do 100 i=1,151
        x = float(i-76)
        a = float(i-86)
        do 100 j=1,101
          y = float(j-51)
          b = float(j-31)
          r = sqrt(x*x + y*y)
          s = sqrt(a*a + b*b)
          f(i,j) = r*3. - s*2. + 17.
          if(r.gt.50.) f(i,j) = 999.
  100 continue
      call psopn('cont.ps', 'a4p')
      call plots(0., 0.)
      call wrect(2., 2., 15., 10.)
      call conts(2., 2., 15., 10., 151, 101, 0.12)
      call contx(f, 999., 1, 5,-100, -11,  0)
      call contx(f, 999., 1, 5, -10,   0, 10)
      call contx(f, 999., 1, 5,   1,  25, 11)
      call contx(f, 999., 1, 5,  26,  50, 14)
      call contx(f, 999., 1, 5,  51,  75,  2)
      call contx(f, 999., 1, 5,  76, 100, 12)
      call contx(f, 999., 1, 5, 101, 200,  3)
      call plot( 4., 15., -3)
      call plot( 7.,-2.5, 2)
      call plot(11., 0.5, 2)
      call plot( 4., 3. , 2)
      call plot( 0., 0. , 2)
      call dfcols(0)
      call dframo(0., 0., 7., -2.5, 4., 3., 151, 101)
      call contso(0., 0., 7., -2.5, 4., 3., 151, 101)
      call paintm(f, 0., 100., 999.)
      call contx(f, 999., 5, 4, -50, 150,  0)
      call plote
      call pscls
c      stop
c      end
c-----( wshore )-----
c      external cviken
      call cvinit(100, 35.*60., 135.*60., 0., 0.)
      call psopn("wshore.ps","A4P")
      call plots(2., 2.)
      call plot(8., 7., -3)
      call wshore(0., 0., 12, 250., cviken)
      do 50 i=20,50,5
        call cviken(float(i*60), 7200., xe, yn)
        call plot(xe/250., yn/250., 3)
        do 50 k=121,155
          call cviken(float(i*60), float(k*60), xe, yn)
          call plot(xe/250., yn/250., 2)
   50 continue
      do 60 k=120,155,5
        call cviken(1200., float(k*60), xe, yn)
        call plot(xe/250., yn/250., 3)
        do 60 i=21,50
          call cviken(float(i*60), float(k*60), xe, yn)
          call plot(xe/250., yn/250., 2)
   60 continue
      call plot(0., 16., -3)
      call wrect(-8., -8., 16., 10.)
      call scisor(-8., -8., 16., 10.)
      call cvinit(253, 0., 0., 0., 0.)
      call cviken(float(35*60), float(135*60), xo, yo)
      call rshore(1, 34, 36, 133, 136)
      call pshore(-xo/12., -yo/12., 212, 12., cviken)
      call plot(-8., 0., 3)
      do 70 k=-90,90
        call cviken(float(35*60), float(135*60+k), xe, yn)
        call plot((xe-xo)/12., (yn-yo)/12., 2)
   70 continue
      do 80 k=134,136
        call plot(0., -8., 3)
        do 80 i=-60,30
          call cviken(float(35*60+i), float(k*60), xe, yn)
          call plot((xe-xo)/12., (yn-yo)/12., 2)
   80 continue
      call plote
      call pscls
c      stop
c      end
c-----( axis )-----
c      dimension p(2,12)
      do 10 i=1,10
        p(1,i) = float(i-1)
        p(2,i) = sqrt(p(1,i))
   10 continue
      call scale(p(1,1), 10., 10, 2)
      call scale(p(2,1), 10., 10, 2)
      call psopn('axis.ps', 'a4p')
      call plots(3., 3.)
      call axis(0., 0., 'Axis-X', -6, 10., 0., p(1,11), p(1,12))
      call axis(0., 0., 'Y=sqrt(X)', 9, 10., 90., p(2,11), p(2,12))
      call line(p(1,1), p(2,1), 10, 2, 1, 4)
      call plote
      call pscls
c      stop
c      end
c-----( csymbl )-----
      call psopn('csymbl.ps', 'a4p')
      call plots(2., 2.)
      call wrect(0., 0., 15.5, 8.5)
      call newpen(2)
      do 2 i=0,30,10
        y = float(i*2 + 15) / 10.
        do 2 j=0,9
          x = float(j*15 + 10) / 10.
          write(mark,'(i2)') i+j
          call pcstr(x-0.24, y-0.9, 0.24, mark, 0., 2)
          call csymbl(x, y, 0.8, i+j, 0., 1)
    2 continue
      call plote
      call pscls
c      stop
c      end
c-----( gsymbl )-----
c      parameter (c30=0.866, c20=0.940, c10=0.985, s30=0.5, s10=0.174)
      call psopn('gsymbl.ps', 'a4p')
      call plots(3., 2.5)
      call newpen(2)
      call gsymbl(0., 18.,  0.7, 16h !"#$%&'()*+,-./, 0., 16)
      call gsymbl(0., 16.5, 0.7, 16h0123456789:;<=>?, 0., 16)
      call gsymbl(0., 15.,  0.7, 16h@ABCDEFGHIJKLMNO, 0., 16)
      call gsymbl(0., 13.5, 0.7, 16hPQRSTUVWXYZ[\\]^_, 0., 16)
      call gsymbl(0., 12.,  0.7, 16h`abcdefghijklmno, 0., 16)
      call gsymbl(0., 10.5, 0.7, 15hpqrstuvwxyz{|}~ , 0., 15)
      call pshift('_^')
      call gsymbl(0., 7.5, 0.42, 'R_E_  (pi)*R^2^  e^x^', 0., 21)
      call chtype(30., 20., 1.4, 1.)
      call pchar('Fe_2_O_3_', 9, 7., 6., 1)
      call newpen(1)
      call plot(0.,  0.,  3)
      call plot(6.,  0.,  2)
      call plot(5.8,-0.1, 3)
      call plot(6.,  0.,  2)
      call plot(5.8, 0.1, 2)
      call gsymbl(6.1, -0.2, 0.42, 'X', 0., 1)
      call plot(-1.*c30, -1.*s30, 3)
      call plot(0., 0., 2)
      call plot(-2.*s30, 2.*c30, 2)
      call plot(-0.3*c30, -0.3*s30, 3)
      call plot(-0.3*(c30+s30), 0.3*(c30-s30), 2)
      call plot(-0.3*s30, 0.3*c30, 2)
      call gsymbl(0., -0.4, 0.28, 'Start', 0., 5)
      call plot(2.4*c30+0.2*s30, 2.4*s30-0.2*c30, 3)
      call plot(2.4*c30+0.4*s30, 2.4*s30-0.4*c30, 2)
      call plot(2.4*c30+0.3*s30, 2.4*s30-0.3*c30, 3)
      call plot(3.6*c30+0.3*s30, 3.6*s30-0.3*c30, 2)
      call plot(3.6*c30+0.2*s30, 3.6*s30-0.2*c30, 3)
      call plot(3.6*c30+0.4*s30, 3.6*s30-0.4*c30, 2)
      call gsymbl(2.8, 0.8, 0.28, 'd=h*r*6./7.', 0., 11)
      call plot(5.9*c30-1.4*s30, 5.9*s30+1.4*c30, 3)
      call plot(6.1*c30-1.4*s30, 6.1*s30+1.4*c30, 2)
      call plot(6.0*c30-1.4*s30, 6.0*s30+1.4*c30, 3)
      call plot(6.0*c30, 6.0*s30, 2)
      call plot(5.9*c30, 5.9*s30, 3)
      call plot(6.1*c30, 6.1*s30, 2)
      call gsymbl(5.0, 3.5, 0.28, 'h', 0., 1)
      x = 0.2 / c20
      do 3 i=0,7
        y = x * float(i)
        call plot(-y*s10, y*c10, 3)
        call plot(4.8*c30-y*s10, 4.8*s30+y*c10, 2)
    3 continue
      do 4 i=0,24
        x = 0.2 * float(i)
        call plot(x*c30, x*s30, 3)
        call plot(x*c30-y*s10, x*s30+y*c10, 2)
    4 continue
      call wcirc(4.8*c30, 4.8*s30, 0.08, 0., 360.)
      call gsymbl(4.3, 2.1, 0.28, 'End', 0., 3)
      call gsymbl(1.35, 0.2, 0.28, 'a', 0., 1)
      call gsymbl(-0.6, 1.2, 0.28, 's', 0., 1)
      call newpen(2)
      call wcirc(0., 0., 1.3, 0., 30.)
      call wcirc(0., 0., 1.2, 100., 120.)
      call wcirc(0., 0., 0.08, 0., 360.)
      call newpen(3)
      call chtype(30., 20., 1.4, 1.)
      call pchar('ABCD', 4, 0., 0., 1)
      call plote
      call pscls
c      stop
c      end
c-----
      stop
      end
